public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Akira TAGOH <akira@tagoh.org>
To: git-commits@fedoraproject.org
Subject: [tests/fonts] rhel9: validate_family: support multiple faces in a font file
Date: Thu, 13 Aug 2026 10:29:27 GMT	[thread overview]
Message-ID: <178661696760.1.3601625884947211279.tests-fonts-48334fd0d5d6@fedoraproject.org> (raw)

A new commit has been pushed.

Repo   : tests/fonts
Branch : rhel9
Commit : 48334fd0d5d6148e2d0e0d48bc92c44af9cd55ef
Author : Akira TAGOH <akira@tagoh.org>
Date   : 2024-11-18T16:24:47+09:00
Stats  : +8/-3 in 1 file(s)
URL    : https://src.fedoraproject.org/tests/fonts/c/48334fd0d5d6148e2d0e0d48bc92c44af9cd55ef?branch=rhel9

Log:
validate_family: support multiple faces in a font file

---
diff --git a/tests/validate_family/test.sh b/tests/validate_family/test.sh
index 352df08..91b7f8a 100755
--- a/tests/validate_family/test.sh
+++ b/tests/validate_family/test.sh
@@ -43,14 +43,19 @@ function test_validate_family {
 
     test_pkg "$pkg"
 
-    rlPhaseStartTest "Validate family name for $pkg"
+    rlPhaseStartTest "Validate primary family name for $pkg"
     {
         for f in $(get_font_path "$pkg"); do
             if echo "$f"|grep -Eq "\.(t1|ttf|otf|ttc|otc|pcf.*|pfa)$"; then
                 set -f
                 if ! check_exception "$fcexpat" "$f" && [ -f "$f" ]; then
-                    rlRun "fc-scan -f \"%{family[0]}\\n\" $f | tee output" 0 "Querying family name"
-                    rlAssertGrep "^$fcfamily\$" "output"
+                    rlRun "fc-scan -f \"%{family[0]}:%{index}\\n\" $f > output" 0 "Querying family name"
+                    cat output | while IFS=":" read -r _FAMILY _INDEX; do
+                        echo "$_FAMILY" > "out_${_FAMILY// /}_$_INDEX"
+                        if ! rlAssertGrep "^$fcfamily\$" "out_${_FAMILY// /}_$_INDEX"; then
+                            rlLogInfo "    Primary family name \"$_FAMILY\" in $f, index $_INDEX"
+                        fi
+                    done
                 else
                     rlLogInfo "Skipping $f (according to FONT_VALIDATE_EXCLUDE_FILES)"
                 fi

                 reply	other threads:[~2026-08-13 10:29 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178661696760.1.3601625884947211279.tests-fonts-48334fd0d5d6@fedoraproject.org \
    --to=akira@tagoh.org \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox